label {
    margin-right: 10px;
}
label:hover {
    background-color: #ffbbcb;
}
.design {
    padding: 6px;
}
.design input[type=radio],
.design input[type=checkbox] {
    display: inline-block;
    margin-right: 6px;
}
.design input[type=radio] + label,
.design input[type=checkbox] + label {
    position: relative;
     
    display: inline-block;
    margin-right: 12px;
     
    font-size: 14px;
    line-height: 30px;
     
    cursor: pointer;
}
 
@media (min-width: 1px) {
    .design input[type=radio],
    .design input[type=checkbox] {
        display: none;
        margin: 0;
    }
    .design input[type=radio] + label,
    .design input[type=checkbox] + label {
        padding: 0 0 0 28px;
    }
    .design input[type=radio] + label::before,
    .design input[type=checkbox] + label::before {
        content: "";
        position: absolute;
        top: 50%;
        left: 0;
         
        -moz-box-sizing: border-box;
        box-sizing: border-box;
        display: block;
        width: 22px;
        height: 22px;
        margin-top: -11px;
        background: #FFF;
    }
    .design input[type=radio] + label::before {
        border: 2px solid #ccc;
        border-radius: 30px;
    }
    .design input[type=checkbox] + label::before {
        border: 2px solid #ccc;
    }
    .design input[type=radio]:checked + label::after,
    .design input[type=checkbox]:checked + label::after {
        content: "";
        position: absolute;
        top: 50%;
         
        -moz-box-sizing: border-box;
        box-sizing: border-box;
        display: block;
    }
    .design input[type=radio]:checked + label::after {
        left: 5px;
         
        width: 8px;
        height: 8px;
        margin-top: -4px;
         
        background: #E71063;
        border-radius: 8px;
    }
    .design input[type=checkbox]:checked + label::after {
        left: 4px;
         
        width: 22px;
        height: 11px;
        margin-top: -11px;
         
        border-left: 3px solid #E71063;
        border-bottom: 3px solid #E71063;
         
        -webkit-transform: rotate(-45deg);
        -ms-transform: rotate(-45deg);
        transform: rotate(-45deg);
    }
}